Package org.apache.commons.fileupload2.portlet

# Class JavaxPortletMockActionRequest

java.lang.Object
org.apache.commons.fileupload2.portlet.JavaxPortletMockActionRequest

All Implemented Interfaces:
  `javax.portlet.ActionRequest`, `javax.portlet.PortletRequest`

public class JavaxPortletMockActionRequest extends Object implements javax.portlet.ActionRequest
Mock class for tests. Implements an `ActionRequest`.

See Also:
  - `JavaxPortletFileUploadTest`

- ## Field Summary

  ### Fields inherited from interface javax.portlet.PortletRequest

  `BASIC_AUTH, CLIENT_CERT_AUTH, DIGEST_AUTH, FORM_AUTH, USER_INFO`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `JavaxPortletMockActionRequest(byte[] requestData, String contentType)`
  `JavaxPortletMockActionRequest(ByteArrayInputStream requestData, int length, String contentType)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Object`
  `getAttribute(String key)`
  `Enumeration`
  `getAttributeNames()`
  `String`
  `getAuthType()`
  `String`
  `getCharacterEncoding()`
  `int`
  `getContentLength()`
  `String`
  `getContentType()`
  `String`
  `getContextPath()`
  `Locale`
  `getLocale()`
  `Enumeration`
  `getLocales()`
  `String`
  `getParameter(String key)`
  `Map`
  `getParameterMap()`
  `Enumeration`
  `getParameterNames()`
  `String[]`
  `getParameterValues(String arg0)`
  `javax.portlet.PortalContext`
  `getPortalContext()`
  `InputStream`
  `getPortletInputStream()`
  `javax.portlet.PortletMode`
  `getPortletMode()`
  `javax.portlet.PortletSession`
  `getPortletSession()`
  `javax.portlet.PortletSession`
  `getPortletSession(boolean arg0)`
  `javax.portlet.PortletPreferences`
  `getPreferences()`
  `Enumeration`
  `getProperties(String arg0)`
  `String`
  `getProperty(String arg0)`
  `Enumeration`
  `getPropertyNames()`
  `BufferedReader`
  `getReader()`
  `String`
  `getRemoteUser()`
  `String`
  `getRequestedSessionId()`
  `String`
  `getResponseContentType()`
  `Enumeration`
  `getResponseContentTypes()`
  `String`
  `getScheme()`
  `String`
  `getServerName()`
  `int`
  `getServerPort()`
  `Principal`
  `getUserPrincipal()`
  `javax.portlet.WindowState`
  `getWindowState()`
  `boolean`
  `isPortletModeAllowed(javax.portlet.PortletMode arg0)`
  `boolean`
  `isRequestedSessionIdValid()`
  `boolean`
  `isSecure()`
  `boolean`
  `isUserInRole(String arg0)`
  `boolean`
  `isWindowStateAllowed(javax.portlet.WindowState arg0)`
  `void`
  `removeAttribute(String key)`
  `void`
  `setAttribute(String key, Object value)`
  `void`
  `setCharacterEncoding(String characterEncoding)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### JavaxPortletMockActionRequest

    public JavaxPortletMockActionRequest(byte[] requestData, String contentType)

  - ### JavaxPortletMockActionRequest

    public JavaxPortletMockActionRequest(ByteArrayInputStream requestData, int length, String contentType)

- ## Method Details

  - ### getAttribute

    public Object getAttribute(String key)
    Specified by:
      `getAttribute` in interface `javax.portlet.PortletRequest`

  - ### getAttributeNames

    public Enumeration getAttributeNames()
    Specified by:
      `getAttributeNames` in interface `javax.portlet.PortletRequest`

  - ### getAuthType

    public String getAuthType()
    Specified by:
      `getAuthType` in interface `javax.portlet.PortletRequest`

  - ### getCharacterEncoding

    public String getCharacterEncoding()
    Specified by:
      `getCharacterEncoding` in interface `javax.portlet.ActionRequest`

  - ### getContentLength

    public int getContentLength()
    Specified by:
      `getContentLength` in interface `javax.portlet.ActionRequest`

  - ### getContentType

    public String getContentType()
    Specified by:
      `getContentType` in interface `javax.portlet.ActionRequest`

  - ### getContextPath

    public String getContextPath()
    Specified by:
      `getContextPath` in interface `javax.portlet.PortletRequest`

  - ### getLocale

    public Locale getLocale()
    Specified by:
      `getLocale` in interface `javax.portlet.PortletRequest`

  - ### getLocales

    public Enumeration getLocales()
    Specified by:
      `getLocales` in interface `javax.portlet.PortletRequest`

  - ### getParameter

    public String getParameter(String key)
    Specified by:
      `getParameter` in interface `javax.portlet.PortletRequest`

  - ### getParameterMap

    public Map getParameterMap()
    Specified by:
      `getParameterMap` in interface `javax.portlet.PortletRequest`

  - ### getParameterNames

    public Enumeration getParameterNames()
    Specified by:
      `getParameterNames` in interface `javax.portlet.PortletRequest`

  - ### getParameterValues

    public String[] getParameterValues(String arg0)
    Specified by:
      `getParameterValues` in interface `javax.portlet.PortletRequest`

  - ### getPortalContext

    public javax.portlet.PortalContext getPortalContext()
    Specified by:
      `getPortalContext` in interface `javax.portlet.PortletRequest`

  - ### getPortletInputStream

    public InputStream getPortletInputStream() throws IOException
    Specified by:
      `getPortletInputStream` in interface `javax.portlet.ActionRequest`
    Throws:
      `IOException`

  - ### getPortletMode

    public javax.portlet.PortletMode getPortletMode()
    Specified by:
      `getPortletMode` in interface `javax.portlet.PortletRequest`

  - ### getPortletSession

    public javax.portlet.PortletSession getPortletSession()
    Specified by:
      `getPortletSession` in interface `javax.portlet.PortletRequest`

  - ### getPortletSession

    public javax.portlet.PortletSession getPortletSession(boolean arg0)
    Specified by:
      `getPortletSession` in interface `javax.portlet.PortletRequest`

  - ### getPreferences

    public javax.portlet.PortletPreferences getPreferences()
    Specified by:
      `getPreferences` in interface `javax.portlet.PortletRequest`

  - ### getProperties

    public Enumeration getProperties(String arg0)
    Specified by:
      `getProperties` in interface `javax.portlet.PortletRequest`

  - ### getProperty

    public String getProperty(String arg0)
    Specified by:
      `getProperty` in interface `javax.portlet.PortletRequest`

  - ### getPropertyNames

    public Enumeration getPropertyNames()
    Specified by:
      `getPropertyNames` in interface `javax.portlet.PortletRequest`

  - ### getReader

    public BufferedReader getReader() throws UnsupportedEncodingException, IOException
    Specified by:
      `getReader` in interface `javax.portlet.ActionRequest`
    Throws:
      `UnsupportedEncodingException`
      `IOException`

  - ### getRemoteUser

    public String getRemoteUser()
    Specified by:
      `getRemoteUser` in interface `javax.portlet.PortletRequest`

  - ### getRequestedSessionId

    public String getRequestedSessionId()
    Specified by:
      `getRequestedSessionId` in interface `javax.portlet.PortletRequest`

  - ### getResponseContentType

    public String getResponseContentType()
    Specified by:
      `getResponseContentType` in interface `javax.portlet.PortletRequest`

  - ### getResponseContentTypes

    public Enumeration getResponseContentTypes()
    Specified by:
      `getResponseContentTypes` in interface `javax.portlet.PortletRequest`

  - ### getScheme

    public String getScheme()
    Specified by:
      `getScheme` in interface `javax.portlet.PortletRequest`

  - ### getServerName

    public String getServerName()
    Specified by:
      `getServerName` in interface `javax.portlet.PortletRequest`

  - ### getServerPort

    public int getServerPort()
    Specified by:
      `getServerPort` in interface `javax.portlet.PortletRequest`

  - ### getUserPrincipal

    public Principal getUserPrincipal()
    Specified by:
      `getUserPrincipal` in interface `javax.portlet.PortletRequest`

  - ### getWindowState

    public javax.portlet.WindowState getWindowState()
    Specified by:
      `getWindowState` in interface `javax.portlet.PortletRequest`

  - ### isPortletModeAllowed

    public boolean isPortletModeAllowed(javax.portlet.PortletMode arg0)
    Specified by:
      `isPortletModeAllowed` in interface `javax.portlet.PortletRequest`

  - ### isRequestedSessionIdValid

    public boolean isRequestedSessionIdValid()
    Specified by:
      `isRequestedSessionIdValid` in interface `javax.portlet.PortletRequest`

  - ### isSecure

    public boolean isSecure()
    Specified by:
      `isSecure` in interface `javax.portlet.PortletRequest`

  - ### isUserInRole

    public boolean isUserInRole(String arg0)
    Specified by:
      `isUserInRole` in interface `javax.portlet.PortletRequest`

  - ### isWindowStateAllowed

    public boolean isWindowStateAllowed(javax.portlet.WindowState arg0)
    Specified by:
      `isWindowStateAllowed` in interface `javax.portlet.PortletRequest`

  - ### removeAttribute

    public void removeAttribute(String key)
    Specified by:
      `removeAttribute` in interface `javax.portlet.PortletRequest`

  - ### setAttribute

    public void setAttribute(String key, Object value)
    Specified by:
      `setAttribute` in interface `javax.portlet.PortletRequest`

  - ### setCharacterEncoding

    public void setCharacterEncoding(String characterEncoding) throws UnsupportedEncodingException
    Specified by:
      `setCharacterEncoding` in interface `javax.portlet.ActionRequest`
    Throws:
      `UnsupportedEncodingException`